package cn.iocoder.yudao.module.mes.dal.mysql.baogongrecord;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.baogongrecord.BaogongRecordDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.mes.controller.admin.baogongrecord.vo.*;

/**
 * 报工 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface BaogongRecordMapper extends BaseMapperX<BaogongRecordDO> {

    default PageResult<BaogongRecordDO> selectPage(BaogongRecordPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<BaogongRecordDO>()
                .eqIfPresent(BaogongRecordDO::getPlanId, reqVO.getPlanId())
                .eqIfPresent(BaogongRecordDO::getNum, reqVO.getNum())
                .betweenIfPresent(BaogongRecordDO::getBaogongTime, reqVO.getBaogongTime())
                .betweenIfPresent(BaogongRecordDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(BaogongRecordDO::getId));
    }

}